Translation

Rollback (restore) an archived translation key

Restores an archived (soft-deleted) key by clearing its deleted_at timestamp. Also restores all associated translations and records history. Requires SourceRollback permission.

PUT
/api/v2/keys/rollback

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/keys/rollback" \  -H "Content-Type: application/json" \  -d '{    "sourceId": 28257,    "storyId": 3  }'
{  "message": "ok"}
Empty
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
Empty